Bug 1976892 - firefox: Please make sure that sandbox does not return EPERM for clone3
Summary: firefox: Please make sure that sandbox does not return EPERM for clone3
Keywords:
Status: MODIFIED
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 35
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1983645 1983696
Blocks: 1982162 1984108
TreeView+ depends on / blocked
 
Reported: 2021-06-28 13:32 UTC by Florian Weimer
Modified: 2021-08-10 13:45 UTC (History)
10 users (show)

Fixed In Version: firefox-89.0.2-2.fc34 firefox-89.0.2-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1982162 1984108 (view as bug list)
Environment:
Last Closed: 2021-07-03 01:25:19 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Mozilla Foundation 1715254 0 -- RESOLVED Sandbox doesn't work with clone3 2021-06-28 13:32:50 UTC

Description Florian Weimer 2021-06-28 13:32:50 UTC
clone3 should either fail with ENOSYS (hidding the system call) or succeed. glibc will soon start using clone3 for Tigerlake hardware enablement. Thanks.

Comment 1 Martin Stransky 2021-06-30 10:25:46 UTC
Added to firefox-89.0.2-2.* package.

Comment 2 Fedora Update System 2021-07-01 07:42:15 UTC
FEDORA-2021-8a939d1abb has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8a939d1abb

Comment 3 Fedora Update System 2021-07-01 07:42:16 UTC
FEDORA-2021-f3addd5b2b has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f3addd5b2b

Comment 4 Fedora Update System 2021-07-02 01:08:30 UTC
FEDORA-2021-f3addd5b2b has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f3addd5b2b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f3addd5b2b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-07-02 01:52:41 UTC
FEDORA-2021-8a939d1abb has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-8a939d1abb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8a939d1abb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-07-03 01:25:19 UTC
FEDORA-2021-f3addd5b2b has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2021-07-04 01:09:04 UTC
FEDORA-2021-8a939d1abb has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Florian Weimer 2021-07-19 10:50:16 UTC
Not yet built for rawhide due to bug 1983645.

Comment 9 Ben Cotton 2021-08-10 13:45:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.


Note You need to log in before you can comment on or make changes to this bug.